#!/bin/sh

KDE_DIR=

if [ "$*" = "" ]
then
  echo "Syntax: kdeinstall.sh <KDE 2.x directory>"
  exit
else
  KDE_DIR=$1
fi

if [ ! -d "$KDE_DIR" ]
then
  echo "Cannot find the directory $KDE_DIR."
  exit
fi

mkdir -p $KDE_DIR/share/icons/locolor/16x16/apps
mkdir -p $KDE_DIR/share/icons/hicolor/16x16/apps
cp kderesources/lo16-app-kcocoa.png $KDE_DIR/share/icons/locolor/16x16/apps/kcocoa.png
cp kderesources/lo16-app-kcocoa.png $KDE_DIR/share/icons/hicolor/16x16/apps/kcocoa.png
mkdir -p $KDE_DIR/share/icons/locolor/32x32/apps
cp kderesources/lo32-app-kcocoa.png $KDE_DIR/share/icons/locolor/32x32/apps/kcocoa.png
cp kderesources/lo32-app-kcocoa.png $KDE_DIR/share/icons/hicolor/32x32/apps/kcocoa.png
mkdir -p $KDE_DIR/share/applnk/Applications
cp kderesources/kcocoa.desktop $KDE_DIR/share/applnk/Applications
